summaryrefslogtreecommitdiffstats
path: root/network/rclone
diff options
context:
space:
mode:
author Rodrigo Gimenez <rodrigog83[at]gmail[dot]com>2017-03-13 23:49:24 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-03-18 06:58:29 +0700
commitc486b07fd6f1b9cfd2c56f7d0fc667a03a4855d9 (patch)
tree6caa12b377ac949d154252b05f91b292b6eec06f /network/rclone
parentd23c496ec8864268977a814b9bdc0e40158a096e (diff)
downloadslackbuilds-c486b07fd6f1b9cfd2c56f7d0fc667a03a4855d9.tar.gz
slackbuilds-c486b07fd6f1b9cfd2c56f7d0fc667a03a4855d9.tar.xz
network/rclone: Added (rsync for cloud storage).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network/rclone')
-rw-r--r--network/rclone/README26
-rw-r--r--network/rclone/rclone.SlackBuild90
-rw-r--r--network/rclone/rclone.info10
-rw-r--r--network/rclone/slack-desc19
4 files changed, 145 insertions, 0 deletions
diff --git a/network/rclone/README b/network/rclone/README
new file mode 100644
index 0000000000..77de1242a6
--- /dev/null
+++ b/network/rclone/README
@@ -0,0 +1,26 @@
+Rclone is a command line program to sync files and directories to and from
+
+ Google Drive
+ Amazon S3
+ Openstack Swift / Rackspace cloud files / Memset Memstore
+ Dropbox
+ Google Cloud Storage
+ Amazon Drive
+ Microsoft One Drive
+ Hubic
+ Backblaze B2
+ Yandex Disk
+ SFTP
+ The local filesystem
+
+Features
+
+ MD5/SHA1 hashes checked at all times for file integrity
+ Timestamps preserved on files
+ Partial syncs supported on a whole file basis
+ Copy mode to just copy new/changed files
+ Sync (one way) mode to make a directory identical
+ Check mode to check for file hash equality
+ Can sync to and from network, eg two different cloud accounts
+ Optional encryption (Crypt)
+ Optional FUSE mount
diff --git a/network/rclone/rclone.SlackBuild b/network/rclone/rclone.SlackBuild
new file mode 100644
index 0000000000..215d3910b9
--- /dev/null
+++ b/network/rclone/rclone.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for rclone
+
+# Copyright 2017 Rodrigo Gimenez <rodrigog83[at]gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=rclone
+VERSION=${VERSION:-1.35}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ]; then
+ SUFFIX="linux-386"
+elif [ "$ARCH" = "x86_64" ]; then
+ SUFFIX="linux-amd64"
+elif [ "$ARCH" = "arm" ]; then
+ SUFFIX="linux-arm"
+else
+ echo "$ARCH is not supported." >&2
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-v$VERSION-$SUFFIX
+unzip $CWD/$PRGNAM-v$VERSION-$SUFFIX.zip
+cd $PRGNAM-v$VERSION-$SUFFIX
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -Ddm755 $PKG/usr/bin
+install -m 775 rclone $PKG/usr/bin
+
+install -Ddm 755 $PKG/usr/man/man1
+cp rclone.1 $PKG/usr/man/man1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cp -a \
+ README.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/rclone/rclone.info b/network/rclone/rclone.info
new file mode 100644
index 0000000000..17353ed443
--- /dev/null
+++ b/network/rclone/rclone.info
@@ -0,0 +1,10 @@
+PRGNAM="rclone"
+VERSION="1.35"
+HOMEPAGE="http://rclone.org"
+DOWNLOAD="http://downloads.rclone.org/rclone-v1.35-linux-386.zip"
+MD5SUM="ca491fa7730aba0b8ef27aebc88d013a"
+DOWNLOAD_x86_64="http://downloads.rclone.org/rclone-v1.35-linux-amd64.zip"
+MD5SUM_x86_64="398d20b3c849e5c20d0a9c1db8d25bfd"
+REQUIRES=""
+MAINTAINER="Rodrigo Gimenez"
+EMAIL="rodrigog83[at]gmail[dot]com"
diff --git a/network/rclone/slack-desc b/network/rclone/slack-desc
new file mode 100644
index 0000000000..67b1e6d24e
--- /dev/null
+++ b/network/rclone/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+rclone: rclone (rsync for cloud storage)
+rclone:
+rclone: Rclone is a command line program to sync files and directories to
+rclone: and from Google Drive, Amazon S3, Openstack Swift / Rackspace
+rclone: cloud files / Memset Memstore, Dropbox, Google Cloud Storage,
+rclone: Amazon Drive, Microsoft One Drive, Hubic, Backblaze B2, Yandex Disk,
+rclone: SFTP and the local filesystem.
+rclone:
+rclone:
+rclone:
+rclone: